%define anolis_release 1

Name: libmbim
Version: 1.30.0
Release: %{anolis_release}%{?dist}
Summary: Support library for the Mobile Broadband Interface Model protocol
License: LGPL-2.1-or-later
URL: https://gitlab.freedesktop.org/mobile-broadband/libmbim/
Source: https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/%{version}/%{name}-%{version}.tar.bz2

# https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/commit/65d02fc647c42b7c743690c769d4bc2c6f2a69c9
Patch0001: 0001-mbimcli-intel-tools-parse-trace-command-value-in-a-m.patch
# https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/commit/9c42e9d1d6d124907dc17e77a97d2a3023552f1e
Patch0002: 0002-mbimcli-intel-thermal-rf-fix-a-potential-mem-leak-in.patch

BuildRequires: gcc
BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: gobject-introspection-devel
BuildRequires: python3
BuildRequires: help2man
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.56
BuildRequires: pkgconfig(gobject-2.0)

%description
This package contains the libraries that make it easier to use MBIM
functionality from applications that use glib.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files for adding MBIM support to applications that use glib
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header and pkg-config files for developing
applications using MBIM functionality from applications that use glib.

%package utils
Summary: Utilities to use the MBIM protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package contains the utilities that make it easier to use MBIM
functionality from the command line.


%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true -Dbash_completion=false
%meson_build

%install
%meson_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference meson.build

%generate_compatibility_deps

%check
%meson_test

%files
%dir %{abidir}
%{_libdir}/libmbim-glib.so.4*
%{abidir}/libmbim-glib*.dump
%{_libdir}/girepository-1.0/Mbim-1.0.typelib

%files doc
%doc NEWS AUTHORS

%files devel
%{_includedir}/libmbim-glib/
%{_libdir}/pkgconfig/mbim-glib.pc
%{_libdir}/libmbim-glib.so
%{_datadir}/gtk-doc/html/libmbim-glib/
%{_datadir}/gir-1.0/Mbim-1.0.gir

%files utils
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{abidir}/mbimcli-option.list
%{abidir}/mbim-network-option.list
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbim*


%changelog
* Mon Feb 17 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.30.0-1
- Update to 1.30.0 from 1.26.4
- switch to build using meson
- Migrate to SPDX license
- Add patches to parse trace command & value in a more straightforward way
- Add patches to fix a potential mem leak in query_rfim_ready()
  [Patches cherry-pick from c10s. Original changelog:
  - Add patches for a pair of bugs that make static analysis unhappy(1.30.0-5)]

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.26.4-1
- New version 1.26.4

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.26.2-2
- optimise spec file & add doc package

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 1.26.2-1
- Initial version from upstream 1.26.2
